import { OnInit } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { TransactionCfgName } from '../../../enum/transaction-cfg-name.enum';
import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
export declare class TransactionLinesSidePanelServiceOrderComponent extends TransactionHeaderBaseComponent implements OnInit {
    readonly Icon: typeof Icon;
    readonly cfgNames: typeof TransactionCfgName;
    private loadedSourceGoodId;
    showClass(): boolean;
    showDetails: boolean;
    image: string;
    showDetailsClick(): void;
    ngOnInit(): Promise<void>;
    transactionSet(): Promise<void>;
}
